package com.unis.base.server.service;

import java.util.List;

import com.unis.base.common.vo.DKdxxsjyVO;
import com.unis.base.server.entity.DKdxxsjyDO;

/**
 * @author huangxing
 * @version 1.0
 * @Title: DKdxxsjyService
 * @ProjectName DKdxxsjyService
 * @Description:
 * @date 2019/7/22 17:47
 */

public interface DKdxxsjyService {

	/**
	 * 根据库点获取库点信息列表
	 * @param dKdxxsjyVO
	 * @return
	 */
	List<DKdxxsjyVO> getDKdxxsjyList(DKdxxsjyVO dKdxxsjyVO);

	/**
	 * 获取库点列表,带组织机构id
	 * @param dKdxxsjyVO
	 * @return
	 */
	public List<DKdxxsjyVO> selectKdxx(DKdxxsjyVO dKdxxsjyVO);

	/**
	 * 根据库点获取库点信息树
	 * @param dKdxxsjyVO
	 * @return
	 */
	List<DKdxxsjyVO> getDKdxxsjyTree(DKdxxsjyVO dKdxxsjyVO);

	/**
	 * 根据库点编码获取库点信息
	 * @param kddm
	 * @return
	 */
	DKdxxsjyDO getDKdxxsjyInfoBykddm(String kddm);

	/**
	 * 分页获取库点分页信息
	 * @param dKdxxsjyVO 库点参数，库点编码，库点名称，企业名称，库点类型
	 * @param pageNum 分页页码
	 * @param pageSize 分页大小
	 * @return
	 */
	List<DKdxxsjyVO> getDKdxxsjyPage(DKdxxsjyVO dKdxxsjyVO, Integer pageNum, Integer pageSize);

	/**
	 * 添加库点信息
	 * @param dKdxxsjyVO
	 * @return
	 */
	int insert(DKdxxsjyVO dKdxxsjyVO);

	/**
	 * 更新库点信息
	 * @param dKdxxsjyVO 库点信息实体类
	 * @return
	 */
	int update(DKdxxsjyVO dKdxxsjyVO);

	/**
	 * 删除库点信息
	 * @param kddm
	 * @return
	 */
	int delete(String kddm);

	/**
	 * 根据统一社会信用代码获取库点信息列表
	 * @param tyshxydm
	 * @return
	 */
    List<DKdxxsjyVO> getDKdxxsjyInfoBytyshxydm(String tyshxydm);

	/**
	 * 根据统一社会信用代码删除库点信息
	 * @param tyshxydm
	 * @return
	 */
	int deleteList(String tyshxydm);

	List<DKdxxsjyVO> selectKdxxLgd(DKdxxsjyVO dKdxxsjyVO);
	List<DKdxxsjyVO> selectKdxxLgdForQc(DKdxxsjyVO dKdxxsjyVO);

    List<DKdxxsjyVO> sinkpointListJQ(DKdxxsjyVO dKdxxsjyVO);

	List<DKdxxsjyVO> sinkpointListLDQ(DKdxxsjyVO dKdxxsjyVO);
}
